# IsFeatureEnabled

### Description

Returns whether the specified feature is enabled in this license key.

```csharp
bool IsFeatureEnabled ( int feature)
```

### Arguments

| Name      | Data Type | Description                      |
| --------- | :-------: | -------------------------------- |
| featureID |    int    | id of the feature to be checked. |

### Return

| Data Type | Description                    |
| :-------: | ------------------------------ |
|    bool   | true if the feature is enabled |

### Remarks

This function is now obsolete and has been superseded by IsFeatureEnabledEx.

You must call ValidateLicense prior to calling IsFeatureEnabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/isfeatureenabled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
